<template>
	<div class="curators">
		<div class="container">			
			<div class="columns">
				<div class="column is-6 items is-mobile">
					<h2>Curadores&nbsp;<span>Agora</span></h2>

					<ul class="the-curators">
						<li class="inner" v-for="(node, index) in curators" :key="index">
							<div class="inner">
								<img :src="avatarUrl(node)" alt="" class="avatar">
							</div>
							<p class="name">{{node.firstName}} {{node.lastName}}</p>
						</li>

						<li class="more">
							<div class="inner">							
								<router-link :to="{ name: 'curators'}">Mais Curadores</router-link>
							</div>
						</li>
					</ul>			

					<h4 class="subtitle sm">Seja também um curador! Baixe o APP:</h4>

					<div class="columns is-mobile buttons">
						<div class="column"><a href="https://itunes.apple.com/us/app/%C3%A1gora-2030/id1307124118?l=pt&ls=1&mt=8"><img src="../../../assets/imgs/bt-app-apple-1.png" alt="Disponível para iPhone iPad" /></a></div>
						<div class="column"><a href="https://play.google.com/store/apps/details?id=br.org.agora2030"><img src="../../../assets/imgs/bt-app-android-1.png" alt="Disponível para Android" /></a></div>
					</div>
				</div>		

				<div class="column is-6 phone is-hidden-mobile">
					<img src="../../../assets/imgs/phone.png" alt="Smartphone" class="image" />
				</div>
			</div>
		</div>
		
		<!--
		<div class="columns">
			<div class="column">
				<p class="learn-more"><a href="https://agora.fiocruz.br/agenda2030/desafio/">Saiba mais</a></p>
			</div>
		</div>
		-->
	</div>
</template>

<script type="text/javascript">
import { getCurators } from '../../../api/curators.service.js'
export default {
	name: "Curators",
	data() {
    return {
    	curators: []
    }
	},
	methods: {
		avatarUrl(user) {
			const defaultAvatar = 'http://static.agora2030.colabtech.org/site/avatar/avatar_default.jpg'
			if (user.socialAvatar) {
				return user.socialAvatar
			} else if (user.avatarUrls) {
				return user.avatarUrls['150x150'] || defaultAvatar
			}
			return defaultAvatar
		}
	},
  created() {
		getCurators()
		.then((data) => {					
			this.curators = data.data.items
		},
		(error) => {
			// console.info("Data answers error:", error)
		})	
  }
}
</script>

<style scoped lang="scss">
	.curators {
		background: url('../../../assets/imgs/bg-curators.jpg') top center;
		background-size: cover;
		padding-left: 20px;
		padding-right: 20px;

		@media (min-width: 768px) {
			padding: 0 !important;
		}
	}

	.curators .buttons {
		height: 120px;
		@media (min-width: 768px) {
			height: auto !important;
		}		
	}

	.curators, .phone {
		min-height: 550px;		
	}

	.learn-more {
		text-align: center;
	}

	.learn-more a {
		border: 2px solid #2F4D5E;		
		border-radius: 50px;
		color: #2F4D5E;
		display: block;
		font-size: 1.4em;
		padding: 15px 60px;
		margin: 20px auto 30px auto;
		width: 50%
	}

	.items {
		padding-top: 80px;
	}

	.phone img {
		min-width: 650px !important;
		margin-top: -60px;
		margin-left: -60px;
	}
	.the-curators {
		margin-top: 20px;
	}
	.the-curators li {
		display: inline-block;
		text-align: center;
		margin-right: 5px;
		margin-bottom: 10px;
		width: 85px;
		vertical-align: top;

		.inner {
			height: 85px;
			width: 85px;
		}

		&.more {
			a {
				display: block;
				background: #3D8338;
				color: #fff !important;
				border-radius: 10px;
				height: 85px;
				margin-top: 8px;
				padding-top: 22px;

				&:hover {
					background: darken(#3D8338, 10%);
				}
			}
		}

	}
	
	.name {
		font-size: .65em;
		font-weight: bold;
	}

	h2, .subtitle {
		color: #458e40;
		display: block;
		font-size: 3em;
		font-weight: bold;
	}
	h2 span {
		text-transform: uppercase;
	}

	.subtitle.sm {
		color: #304c5f;
		font-size: 2em;
		margin-top: 20px;		
	}

	.avatar {
		border-radius: 20px; 
	}
</style>